package io.renren.modules.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.common.utils.PageUtils;
import io.renren.modules.business.entity.BusinessWorkerCqEntity;

import java.util.List;
import java.util.Map;

/**
 * 员工出勤表
 *
 * @author jiaqiao
 * @email jiaqiao@163.com
 * @date 2022-09-20 11:26:31
 */
public interface BusinessWorkerCqService extends IService<BusinessWorkerCqEntity> {

    PageUtils queryPage(Map<String, Object> params);

    //根据条件获取出勤列表
    List<BusinessWorkerCqEntity> querySearchList(Map<String, Object> params);
    //根据日期获取出勤列表
    List<Map<String, Object>> querySearchListAll(Map<String, Object> params);

    /**
     * 支出明细   ------ 获取出勤记录信息
     * @param params
     * @return
     */
    List<BusinessWorkerCqEntity> cqjlList(Map<String, Object> params);

    PageUtils cqjlPage(Map<String, Object> params);
}

